/***********************************************************************
 Name             : header.java
 Autor            : Marcel Lattmann
                    Eidgenoessisch Technische Hochschule Zuerich (ETHZ)
 Letzte Aenderung : 3.8.1999

 Eingabe der Header-Daten wie Titel oder Versuchsperson.
 
 Benoetigt folgende Klassen:

	
 History:
************************************************************************/

import java.awt.*;
import java.awt.event.*;
import java.util.*;

public class Input extends Dialog implements ActionListener {

  private TextArea ta;
  private Button ok, cancel;
  private String ans = new String();  
  private String newln;

  public Input(Frame parent, String str, Color background) {
    /* Erzeuge einen blockierenden Dialog */
    super(parent,"Headerdaten",true);
    this.setBackground(background);

    BorderLayout l = new BorderLayout(2,1);
    this.setLayout(l);
    ta = new TextArea(str, 10,20);
    ta.setBackground(background);
    this.add(ta,"Center");

    ok = new Button("ok");
    ok.addActionListener(this);
    ok.setBackground(background);

    cancel = new Button("cancel");
    cancel.addActionListener(this);
    cancel.setBackground(background);

    Panel p = new Panel();    
    GridBagLayout pl = new GridBagLayout();
    GridBagConstraints c = new GridBagConstraints();
    c.insets = new Insets(5,5,5,5);

    p.setLayout(pl);
    c.gridx = 0; c.gridy = 0;
    c.gridwidth  = 1;
    c.gridheight = 1;
    c.weightx = c.weighty = 0.0;
    c.fill = GridBagConstraints.BOTH;
    c.anchor = GridBagConstraints.CENTER;
    p.add(ok,c);
    c.gridx = 1;
    p.add(cancel,c);

    this.add(p,"South");

    ans=str;

    // Finally, set the dialog to its preferred size.
    this.pack();
  }

  public String getData() {
    return ans;
  }

  public void actionPerformed(ActionEvent e) {
    Input.this.dispose();   // pop down dialog
    Button s = (Button)e.getSource();
    if (s== ok) {
      ans=ta.getText(); 
    } 
  }
}
